apply plugin: "application"

application {
    mainClassName = "net.minecraft.server.MinecraftServer"
}

run {
    workingDir = new File(buildDir, "run")
    if (!workingDir.exists()) {
        workingDir.mkdir()
    }

    args "--nogui"
}

dependencies {
    implementation name: "com/mojang/authlib/1.5.21/authlib-1.5.21"

    implementation "org.apache.commons:commons-lang3:3.3.2"
    implementation "com.google.guava:guava:17.0"
    implementation "org.apache.logging.log4j:log4j-core:2.0-beta9"
    implementation "io.netty:netty-all:4.0.23.Final"
    implementation "com.google.code.gson:gson:2.2.4"
    implementation "commons-io:commons-io:2.4"
}
